VULKAN_HPP_NAMESPACE::Image Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Image ()
VULKAN_HPP_CONSTEXPR | Image (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Image (VkImage image)
Image & | operator= (std::nullptr_t)
bool | operator== (Image const &rhs) const
bool | operator!= (Image const &rhs) const
bool | operator< (Image const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkImage () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkImage | m_image

## Detailed Description

Definition at line 3212 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Image() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Image::Image | ( |  | ) |

inline

Definition at line 3215 of file vulkan.hpp.

: m_image(VK_NULL_HANDLE)
{}

## Image() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Image::Image | ( | std::nullptr_t |  | ) |

inline

Definition at line 3219 of file vulkan.hpp.

: m_image(VK_NULL_HANDLE)
{}

## Image() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Image::Image | ( | VkImage | image | ) |

inline

Definition at line 3223 of file vulkan.hpp.

: m_image( image )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::Image::operator bool | ( |  | ) | const

inline explicit

Definition at line 3263 of file vulkan.hpp.

{
return m_image != VK_NULL_HANDLE;
}

References m_image, and VK_NULL_HANDLE.

## operator VkImage()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Image::operator VkImage | ( |  | ) | const

inline

Definition at line 3258 of file vulkan.hpp.

{
return m_image;
}

References m_image.

## operator!()

bool VULKAN_HPP_NAMESPACE::Image::operator! | ( |  | ) | const

inline

Definition at line 3268 of file vulkan.hpp.

{
return m_image == VK_NULL_HANDLE;
}

References m_image, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Image::operator!= | ( | Image const & | rhs | ) | const

inline

Definition at line 3246 of file vulkan.hpp.

{
return m_image != rhs.m_image;
}

References m_image.

## operator<()

bool VULKAN_HPP_NAMESPACE::Image::operator< | ( | Image const & | rhs | ) | const

inline

Definition at line 3251 of file vulkan.hpp.

{
return m_image < rhs.m_image;
}

References m_image.

## operator=()

Image& VULKAN_HPP_NAMESPACE::Image::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3235 of file vulkan.hpp.

{
m_image = VK_NULL_HANDLE;
return *this;
}

References m_image, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Image::operator== | ( | Image const & | rhs | ) | const

inline

Definition at line 3241 of file vulkan.hpp.

{
return m_image == rhs.m_image;
}

References m_image.

## Field Documentation

## m_image

VkImage VULKAN_HPP_NAMESPACE::Image::m_image

private

Definition at line 3274 of file vulkan.hpp.

Referenced by operator bool(), operator VkImage(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

image
GLeglImageOES image
Definition: SDL_opengl.h:2148
VULKAN_HPP_NAMESPACE::Image::m_image
VkImage m_image
Definition: vulkan.hpp:3274
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49